Create Order

Create orders from marketplace transactions, pre-existing systems, or bulk uploads.

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection

Query parameters

addressAutocompleteenumOptionalDefaults to none

The specified addresses (origin, destination, or all) will be overridden with the first result from an address validation search

Allowed values:

Request

This endpoint expects an object.
completedDatestringRequiredformat: "date-time"
The RFC3339 datetime string the order was shipped on, created a tax liability
currencyobjectRequired
represents information about a currency including its code and denomination.
customerIdstringRequired<=50 characters
customerId in external system
destinationobjectRequired
the destination address of the order
lineItemslist of objectsRequired
orderIdstringRequired<=50 characters
orderId in external system
originobjectRequired
the origin address of the order
transactionDatestringRequiredformat: "date-time"
The RFC3339 datetime string the order was purchased on
batchIdstringOptional
Optional batch ID for grouping orders
channelstringOptional
what channel did this come from. Pass in one of amazon,ebay,walmart for tax exclusion
deliveredBySellerbooleanOptional
represents if the seller directly delivered the order.
discountsobjectOptional
Optional discounts to apply. If not provided, prices are consumed as is.
excludeFromFilingbooleanOptional
Whether to exclude from filing
exemptionobjectOptional
information about exemption on the order
kindenumOptionalDefaults to order
The kind of order, either credit or order. Defaults to order if not provided.
Allowed values:

Response

Created
channelstring or null
what channel did this come from
connectionIdstring>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection
currencyobject
represents information about a currency including its code and denomination.
customerIdstring
customerId in external system
deliveredBySellerboolean
represents if the seller directly delivered the order.
destinationobject
the destination address of the order
excludeFromFilingbooleanDefaults to false
Whether to exclude from filing
exemptionobject
information about exemption on the order
kindenum
The kind of order, either credit or order. Defaults to order if not provided.
Allowed values:
lineItemslist of objects
orderIdstring
orderId in external system
originobject
the origin address of the order
transactionDatestringformat: "date-time"
The RFC3339 datetime string the order was purchased on
$schemastringRead-onlyformat: "uri"
A URL to the JSON Schema for this object.
batchIdstring
Batch ID for grouping orders
completedDatestringformat: "date-time"
The RFC3339 datetime string the order was shipped on, created a tax liability
refundslist of objects

refunds associated with this order when expand=refunds is specified

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error